<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for IdentifierVehicleItem StructType
 * @subpackage Structs
 */
class IdentifierVehicleItem extends AbstractStructBase
{
    /**
     * The PeriodSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\PeriodSelection
     */
    public $PeriodSelection;
    /**
     * The Identifier
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\IdentifierVehicle
     */
    public $Identifier;
    /**
     * Constructor method for IdentifierVehicleItem
     * @uses IdentifierVehicleItem::setPeriodSelection()
     * @uses IdentifierVehicleItem::setIdentifier()
     * @param \StructType\PeriodSelection $periodSelection
     * @param \StructType\IdentifierVehicle $identifier
     */
    public function __construct(\StructType\PeriodSelection $periodSelection = null, \StructType\IdentifierVehicle $identifier = null)
    {
        $this
            ->setPeriodSelection($periodSelection)
            ->setIdentifier($identifier);
    }
    /**
     * Get PeriodSelection value
     * @return \StructType\PeriodSelection|null
     */
    public function getPeriodSelection()
    {
        return $this->PeriodSelection;
    }
    /**
     * Set PeriodSelection value
     * @param \StructType\PeriodSelection $periodSelection
     * @return \StructType\IdentifierVehicleItem
     */
    public function setPeriodSelection(\StructType\PeriodSelection $periodSelection = null)
    {
        $this->PeriodSelection = $periodSelection;
        return $this;
    }
    /**
     * Get Identifier value
     * @return \StructType\IdentifierVehicle|null
     */
    public function getIdentifier()
    {
        return $this->Identifier;
    }
    /**
     * Set Identifier value
     * @param \StructType\IdentifierVehicle $identifier
     * @return \StructType\IdentifierVehicleItem
     */
    public function setIdentifier(\StructType\IdentifierVehicle $identifier = null)
    {
        $this->Identifier = $identifier;
        return $this;
    }
}
